Package fr.gouv.vitam.metadata.client

# Class MetaDataClientRest

java.lang.Object
fr.gouv.vitam.common.client.DefaultClient
fr.gouv.vitam.metadata.client.MetaDataClientRest

All Implemented Interfaces:
  `BasicClient`, `MockOrRestClient`, `VitamAutoCloseable`, `MetaDataClient`, `AutoCloseable`

public class MetaDataClientRest extends DefaultClient implements MetaDataClient

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLEAR_SCROLL_FILTER_URI`

  ### Fields inherited from interface fr.gouv.vitam.common.client.BasicClient

  `STATUS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaDataClientRest(VitamClientFactoryInterface<MetaDataClient> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `atomicUpdateBulk(List<com.fasterxml.jackson.databind.JsonNode> updateQueries)`
  Bulk Update units by a list of update query (DSL)
  `void`
  `checkStatus()`
  Check the status from the service
  `void`
  `checkStatus(jakarta.ws.rs.core.MultivaluedHashMap<String,Object> headers)`
  Check the status from the service used to passe "X-SSL-CLIENT-CERT" header that contain a pem certificate
  `jakarta.ws.rs.core.Response`
  `clearESScrollFilter(String scrollId)`
  `void`
  `close()`
  Close the underneath http client
  `GraphComputeResponse`
  `computeGraph(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Compute graph of all Units/Got that match the given query dsl The returned number of treated object group is an estimation, as object group can be computed several times
  `GraphComputeResponse`
  `computeGraph(GraphComputeResponse.GraphComputeAction action, Set<String> ids)`
  Compute graph of all document match ids.
  `final void`
  `consumeAnyEntityAndClose(jakarta.ws.rs.core.Response response)`
  Helper when an error occurs on client usage side to consume response however
  `com.fasterxml.jackson.databind.JsonNode`
  `createAccessionRegisterSymbolic()`
  Creates the AccessionRegisterSymbolics from ElasticSearch aggregations and nested aggregation request.
  `void`
  `deleteObjectGroupBulk(Collection<String> listIds)`
  Delete Object Group Bulk
  `void`
  `deleteUnitsBulk(Collection<String> listIds)`
  delete UnitsBulk
  `void`
  `exportReclassificationChildNodes(Set<String> ids, String unitsToUpdateJsonLineFileName, String objectGroupsToUpdateJsonLineFileName)`
  Export all units and object groups that are a descendants of the provided units to workspace for graph update.
  `jakarta.ws.rs.client.Client`
  `getChunkedClient()`
  `jakarta.ws.rs.client.Client`
  `getClient()`
  `VitamClientFactory<?>`
  `getClientFactory()`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getObjectGroupByIdRaw(String objectGroupId)`
  Search object group by path unit id
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getObjectGroupsByIdsRaw(Collection<String> objectGroupId)`
  Select raw object group by ids
  `com.fasterxml.jackson.databind.JsonNode`
  `getPurgedPersistentIdentifiers(String persistentIdentifier, PurgedCollectionType type)`
  `String`
  `getResourcePath()`
  Get the resource path of the server.
  `String`
  `getServiceUrl()`
  Get the service URL
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getUnitByIdRaw(String unitId)`
  Search units by path unit id
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getUnitsByIdsRaw(Collection<String> unitIds)`
  Select raw unis by ids
  `com.fasterxml.jackson.databind.JsonNode`
  `insertObjectGroup(com.fasterxml.jackson.databind.JsonNode insertQuery)`
  `com.fasterxml.jackson.databind.JsonNode`
  `insertObjectGroups(List<com.fasterxml.jackson.databind.JsonNode> insertQueries)`
  `com.fasterxml.jackson.databind.JsonNode`
  `insertUnitBulk(BulkUnitInsertRequest request)`
  `jakarta.ws.rs.core.Response`
  `make(VitamRequestBuilder request)`
  `jakarta.ws.rs.core.Response`
  `makeSpecifyingUrl(VitamRequestBuilder request)`
  `jakarta.ws.rs.core.Response`
  `processObsoleteComputedInheritedRules()`
  API to process obsolete compute inherited rules service for metadatas.
  `jakarta.ws.rs.core.Response`
  `purgeExpiredDipFiles()`
  API to process purge expired DIP files service for metadatas.
  `jakarta.ws.rs.core.Response`
  `purgeExpiredTransfersSIPFiles()`
  API to process purge expired tranfering SIP files service for metadatas.
  `List<ReconstructionResponseItem>`
  `reconstructCollection(List<ReconstructionRequestItem> reconstructionItems)`
  API to access and launch the Vitam reconstruction service for metadatas.
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `reconstructPersistentIdentifiers(PersistentIdentifierReconstructionRequest requestItem)`
  Reconstruct Persistent Identifiers
  `boolean`
  `refreshObjectGroups()`
  `boolean`
  `refreshUnits()`
  `com.fasterxml.jackson.databind.JsonNode`
  `reindex(IndexParameters indexParam)`
  Reindex a collection with parameters
  `jakarta.ws.rs.core.Response`
  `runAuditDataConsistencyMongoEs()`
  API to process audit data consistency Mongo and ES service for metadatas.
  `List<ObjectGroupPerOriginatingAgency>`
  `selectAccessionRegisterOnObjectByOperationId(String operationId)`
  `List<UnitPerOriginatingAgency>`
  `selectAccessionRegisterOnUnitByOperationId(String operationId)`
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroups(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Search objectgroups by select query (DSL)
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGrouptbyId(com.fasterxml.jackson.databind.JsonNode selectQuery, String objectGroupId)`
  Search Object Group by query (DSL) and path objectGroup id
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitbyId(com.fasterxml.jackson.databind.JsonNode selectQuery, String unitId)`
  Search units by query (DSL) and path unit id
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnits(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Search units by select query (DSL)
  `List<RequestResponseOK<com.fasterxml.jackson.databind.JsonNode>>`
  `selectUnitsBulk(List<com.fasterxml.jackson.databind.JsonNode> selectQueryBulk)`
  Bulk Search units by a list of select query (DSL)
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Select units with inherited rules by select query (DSL)
  `static void`
  `staticConsumeAnyEntityAndClose(jakarta.ws.rs.core.Response response)`
  This method consume everything (in particular InputStream) and close the response.
  `jakarta.ws.rs.core.Response`
  `storeGraph()`
  API to access and launch the Vitam store graph service for metadatas.
  `jakarta.ws.rs.core.Response`
  `streamObjects(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  `jakarta.ws.rs.core.Response`
  `streamUnits(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  `SwitchIndexResult`
  `switchIndexes(SwitchIndexParameters switchIndexParam)`
  Switch indexes
  `String`
  `toString()`
  `void`
  `updateObjectGroupById(com.fasterxml.jackson.databind.JsonNode queryUpdate, String objectGroupId)`
  Update ObjectGroup
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `updateUnitBulk(com.fasterxml.jackson.databind.JsonNode updateQuery)`
  Update units Bulk.
  `com.fasterxml.jackson.databind.JsonNode`
  `updateUnitById(com.fasterxml.jackson.databind.JsonNode updateQuery, String unitId)`
  Update units by query (DSL) and path unit id
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `updateUnitsRulesBulk(List<String> unitsIds, RuleActions actions, Map<String,DurationData> rulesToDurationData)`
  Update units rules Bulk.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Field Details

  - ### CLEAR_SCROLL_FILTER_URI

    public static final String CLEAR_SCROLL_FILTER_URI
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MetaDataClientRest

    public MetaDataClientRest(VitamClientFactoryInterface<MetaDataClient> factory)

- ## Method Details

  - ### insertUnitBulk

    public com.fasterxml.jackson.databind.JsonNode insertUnitBulk(BulkUnitInsertRequest request) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataClientServerException
    Specified by:
      `insertUnitBulk` in interface `MetaDataClient`
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `MetaDataClientServerException`

  - ### selectUnits

    public com.fasterxml.jackson.databind.JsonNode selectUnits(com.fasterxml.jackson.databind.JsonNode selectQuery) throws MetaDataExecutionException, MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Search units by select query (DSL)
    Specified by:
      `selectUnits` in interface `MetaDataClient`
    Parameters:
      `selectQuery` - : select query `SelectMultiQuery` as String
      Null is not allowed
    Returns:
      Json object {$hint:{},$result:[{},{}]}
    Throws:
      `MetaDataExecutionException` - thrown when internal Server Error (fatal technical exception thrown)
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException`
      `MetaDataClientServerException`

  - ### selectUnitsBulk

    public List<RequestResponseOK<com.fasterxml.jackson.databind.JsonNode>> selectUnitsBulk(List<com.fasterxml.jackson.databind.JsonNode> selectQueryBulk) throws MetaDataExecutionException, MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Bulk Search units by a list of select query (DSL)
    Specified by:
      `selectUnitsBulk` in interface `MetaDataClient`
    Returns:
      RequestResponse object {$hint:{},$result:[{},{}]} containing a list of RequestResponse (RequestResponseOK or VitamError) as JsonNode linked to each selectQuery
    Throws:
      `MetaDataExecutionException` - thrown when internal Server Error (fatal technical exception thrown)
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException`
      `MetaDataClientServerException`

  - ### selectObjectGroups

    public com.fasterxml.jackson.databind.JsonNode selectObjectGroups(com.fasterxml.jackson.databind.JsonNode selectQuery) throws MetaDataExecutionException, MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Search objectgroups by select query (DSL)
    Specified by:
      `selectObjectGroups` in interface `MetaDataClient`
    Parameters:
      `selectQuery` - : select query `SelectMultiQuery` as String
      Null is not allowed
    Returns:
      Json object {$hint:{},$result:[{},{}]}
    Throws:
      `MetaDataExecutionException` - thrown when internal Server Error (fatal technical exception thrown)
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException`
      `MetaDataClientServerException`

  - ### selectUnitbyId

    public com.fasterxml.jackson.databind.JsonNode selectUnitbyId(com.fasterxml.jackson.databind.JsonNode selectQuery, String unitId) throws MetaDataExecutionException, MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Search units by query (DSL) and path unit id
    Specified by:
      `selectUnitbyId` in interface `MetaDataClient`
    Parameters:
      `selectQuery` - : select query `Select` as JsonNode
      Null is not allowed
      `unitId` - : unit id
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{},{}]}
    Throws:
      `MetaDataExecutionException` - thrown when internal Server Error (fatal technical exception thrown)
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException`
      `MetaDataClientServerException`

  - ### selectObjectGrouptbyId

    public com.fasterxml.jackson.databind.JsonNode selectObjectGrouptbyId(com.fasterxml.jackson.databind.JsonNode selectQuery, String objectGroupId) throws MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Search Object Group by query (DSL) and path objectGroup id
    Specified by:
      `selectObjectGrouptbyId` in interface `MetaDataClient`
    Parameters:
      `selectQuery` - : select query `Select` as JsonNode
      Null is not allowed
      `objectGroupId` - : objectGroup id
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{},{}]}
    Throws:
      `MetaDataExecutionException` - thrown when internal Server Error (fatal technical exception thrown)
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException` - thrown when the Query is badly formatted or objectGroupId is empty
      `MetaDataClientServerException`

  - ### updateUnitById

    public com.fasterxml.jackson.databind.JsonNode updateUnitById(com.fasterxml.jackson.databind.JsonNode updateQuery, String unitId) throws MetaDataExecutionException, MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException, MetaDataNotFoundException
    Description copied from interface: `MetaDataClient`
    Update units by query (DSL) and path unit id
    Specified by:
      `updateUnitById` in interface `MetaDataClient`
    Parameters:
      `updateQuery` - update query `Select` as JsonNode
      Null is not allowed
      `unitId` - unit id
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{},{}]}
    Throws:
      `MetaDataExecutionException` - thrown when internal Server Error (fatal technical exception thrown)
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException`
      `MetaDataClientServerException`
      `MetaDataNotFoundException`

  - ### insertObjectGroup

    public com.fasterxml.jackson.databind.JsonNode insertObjectGroup(com.fasterxml.jackson.databind.JsonNode insertQuery) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataClientServerException
    Specified by:
      `insertObjectGroup` in interface `MetaDataClient`
    Parameters:
      `insertQuery` - as String
    Returns:
      response as JsonNode contains the request result
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `MetaDataClientServerException`

  - ### insertObjectGroups

    public com.fasterxml.jackson.databind.JsonNode insertObjectGroups(List<com.fasterxml.jackson.databind.JsonNode> insertQueries) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataClientServerException
    Specified by:
      `insertObjectGroups` in interface `MetaDataClient`
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `MetaDataClientServerException`

  - ### updateObjectGroupById

    public void updateObjectGroupById(com.fasterxml.jackson.databind.JsonNode queryUpdate, String objectGroupId) throws InvalidParseOperationException, MetaDataClientServerException, MetaDataExecutionException
    Description copied from interface: `MetaDataClient`
    Update ObjectGroup
    Specified by:
      `updateObjectGroupById` in interface `MetaDataClient`
    Parameters:
      `queryUpdate` -
      `objectGroupId` -
    Throws:
      `InvalidParseOperationException`
      `MetaDataClientServerException`
      `MetaDataExecutionException`

  - ### selectAccessionRegisterOnUnitByOperationId

    public List<UnitPerOriginatingAgency> selectAccessionRegisterOnUnitByOperationId(String operationId) throws MetaDataClientServerException
    Specified by:
      `selectAccessionRegisterOnUnitByOperationId` in interface `MetaDataClient`
    Parameters:
      `operationId` -
    Returns:
      the list of UnitsPerOriginatingAgency
    Throws:
      `MetaDataClientServerException`

  - ### selectAccessionRegisterOnObjectByOperationId

    public List<ObjectGroupPerOriginatingAgency> selectAccessionRegisterOnObjectByOperationId(String operationId) throws MetaDataClientServerException
    Specified by:
      `selectAccessionRegisterOnObjectByOperationId` in interface `MetaDataClient`
    Parameters:
      `operationId` -
    Returns:
      the list of ObjectGroupPerOriginatingAgency
    Throws:
      `MetaDataClientServerException`

  - ### refreshUnits

    public boolean refreshUnits() throws MetaDataClientServerException
    Specified by:
      `refreshUnits` in interface `MetaDataClient`
    Returns:
      True if the Units index is refreshed
    Throws:
      `MetaDataClientServerException`

  - ### refreshObjectGroups

    public boolean refreshObjectGroups() throws MetaDataClientServerException
    Specified by:
      `refreshObjectGroups` in interface `MetaDataClient`
    Returns:
      True if the ObjectGroups index is refreshed
    Throws:
      `MetaDataClientServerException`

  - ### reindex

    public com.fasterxml.jackson.databind.JsonNode reindex(IndexParameters indexParam) throws InvalidParseOperationException, MetaDataClientServerException, MetaDataNotFoundException
    Description copied from interface: `MetaDataClient`
    Reindex a collection with parameters
    Specified by:
      `reindex` in interface `MetaDataClient`
    Parameters:
      `indexParam` - reindexation parameters
    Returns:
      JsonObject containing information about the newly created index
    Throws:
      `InvalidParseOperationException`
      `MetaDataClientServerException`
      `MetaDataNotFoundException` - in case the index does not exist

  - ### switchIndexes

    public SwitchIndexResult switchIndexes(SwitchIndexParameters switchIndexParam) throws InvalidParseOperationException, MetaDataClientServerException, MetaDataNotFoundException
    Description copied from interface: `MetaDataClient`
    Switch indexes
    Specified by:
      `switchIndexes` in interface `MetaDataClient`
    Parameters:
      `switchIndexParam` - switch index parameters
    Returns:
      JsonObject containing information about the newly created index
    Throws:
      `InvalidParseOperationException`
      `MetaDataClientServerException`
      `MetaDataNotFoundException` - in case the index does not exist

  - ### getUnitByIdRaw

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> getUnitByIdRaw(String unitId) throws VitamClientException
    Description copied from interface: `MetaDataClient`
    Search units by path unit id
    Specified by:
      `getUnitByIdRaw` in interface `MetaDataClient`
    Parameters:
      `unitId` - : unit id
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{}]} or vitam error
    Throws:
      `VitamClientException`

  - ### getUnitsByIdsRaw

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> getUnitsByIdsRaw(Collection<String> unitIds) throws VitamClientException
    Description copied from interface: `MetaDataClient`
    Select raw unis by ids
    Specified by:
      `getUnitsByIdsRaw` in interface `MetaDataClient`
    Parameters:
      `unitIds` - : unit ids
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{}]} or vitam error
    Throws:
      `VitamClientException`

  - ### getObjectGroupByIdRaw

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> getObjectGroupByIdRaw(String objectGroupId) throws VitamClientException
    Description copied from interface: `MetaDataClient`
    Search object group by path unit id
    Specified by:
      `getObjectGroupByIdRaw` in interface `MetaDataClient`
    Parameters:
      `objectGroupId` - : objectGroup id
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{}]} or vitam error
    Throws:
      `VitamClientException`

  - ### getObjectGroupsByIdsRaw

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> getObjectGroupsByIdsRaw(Collection<String> objectGroupId) throws VitamClientException
    Description copied from interface: `MetaDataClient`
    Select raw object group by ids
    Specified by:
      `getObjectGroupsByIdsRaw` in interface `MetaDataClient`
    Parameters:
      `objectGroupId` - : object group ids
      null and blank is not allowed
    Returns:
      Json object {$hint:{},$result:[{}]} or vitam error
    Throws:
      `VitamClientException`

  - ### computeGraph

    public GraphComputeResponse computeGraph(com.fasterxml.jackson.databind.JsonNode queryDsl) throws VitamClientException
    Description copied from interface: `MetaDataClient`
    Compute graph of all Units/Got that match the given query dsl The returned number of treated object group is an estimation, as object group can be computed several times
    Specified by:
      `computeGraph` in interface `MetaDataClient`
    Parameters:
      `queryDsl` -
    Returns:
      GraphComputeResponse
    Throws:
      `VitamClientException`

  - ### computeGraph

    public GraphComputeResponse computeGraph(GraphComputeResponse.GraphComputeAction action, Set<String> ids) throws VitamClientException
    Description copied from interface: `MetaDataClient`
    Compute graph of all document match ids. The document can be UNIT, OBJECTGROUP, or UNIT AND OBJECTGROUP In case of UNIT AND OBJECTGROUP, the ids set is id of UNITs
    Specified by:
      `computeGraph` in interface `MetaDataClient`
    Parameters:
      `action` -
      `ids` -
    Returns:
      GraphComputeResponse
    Throws:
      `VitamClientException`

  - ### exportReclassificationChildNodes

    public void exportReclassificationChildNodes(Set<String> ids, String unitsToUpdateJsonLineFileName, String objectGroupsToUpdateJsonLineFileName) throws VitamClientException, MetaDataExecutionException
    Description copied from interface: `MetaDataClient`
    Export all units and object groups that are a descendants of the provided units to workspace for graph update.
    Specified by:
      `exportReclassificationChildNodes` in interface `MetaDataClient`
    Parameters:
      `ids` - the unit ids for which all descendant nodes (units and object groups) are to be updated.
    Throws:
      `VitamClientException`
      `MetaDataExecutionException`

  - ### deleteUnitsBulk

    public void deleteUnitsBulk(Collection<String> listIds) throws MetaDataExecutionException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    delete UnitsBulk
    Specified by:
      `deleteUnitsBulk` in interface `MetaDataClient`
    Parameters:
      `listIds` - list of id to delete
    Throws:
      `MetaDataExecutionException` - MetaDataExecutionException
      `MetaDataClientServerException` - MetaDataClientServerException

  - ### deleteObjectGroupBulk

    public void deleteObjectGroupBulk(Collection<String> listIds) throws MetaDataExecutionException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Delete Object Group Bulk
    Specified by:
      `deleteObjectGroupBulk` in interface `MetaDataClient`
    Parameters:
      `listIds` - list of id to delete
    Throws:
      `MetaDataExecutionException` - MetaDataExecutionException
      `MetaDataClientServerException` - MetaDataClientServerException

  - ### storeGraph

    public jakarta.ws.rs.core.Response storeGraph() throws MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataExecutionException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    API to access and launch the Vitam store graph service for metadatas.
    Specified by:
      `storeGraph` in interface `MetaDataClient`
    Returns:
    Throws:
      `MetaDataExecutionException` - MetaDataExecutionException
      `MetaDataClientServerException` - MetaDataClientServerException
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `InvalidParseOperationException`

  - ### reconstructCollection

    public List<ReconstructionResponseItem> reconstructCollection(List<ReconstructionRequestItem> reconstructionItems) throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    API to access and launch the Vitam reconstruction service for metadatas.
    Specified by:
      `reconstructCollection` in interface `MetaDataClient`
    Parameters:
      `reconstructionItems` - list of reconstruction request items
    Returns:
    Throws:
      `MetaDataClientServerException` - MetaDataClientServerException
      `MetaDataNotFoundException`
      `InvalidParseOperationException`

  - ### reconstructPersistentIdentifiers

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> reconstructPersistentIdentifiers(PersistentIdentifierReconstructionRequest requestItem) throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Reconstruct Persistent Identifiers
    Specified by:
      `reconstructPersistentIdentifiers` in interface `MetaDataClient`
    Parameters:
      `requestItem` -
    Returns:
    Throws:
      `MetaDataNotFoundException`
      `InvalidParseOperationException`
      `MetaDataClientServerException`

  - ### getPurgedPersistentIdentifiers

    public com.fasterxml.jackson.databind.JsonNode getPurgedPersistentIdentifiers(String persistentIdentifier, @Nullable PurgedCollectionType type) throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Specified by:
      `getPurgedPersistentIdentifiers` in interface `MetaDataClient`
    Throws:
      `MetaDataNotFoundException`
      `InvalidParseOperationException`
      `MetaDataClientServerException`

  - ### updateUnitBulk

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> updateUnitBulk(com.fasterxml.jackson.databind.JsonNode updateQuery) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Update units Bulk.
    Specified by:
      `updateUnitBulk` in interface `MetaDataClient`
    Parameters:
      `updateQuery` -
    Returns:
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `MetaDataClientServerException`

  - ### atomicUpdateBulk

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> atomicUpdateBulk(List<com.fasterxml.jackson.databind.JsonNode> updateQueries) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Bulk Update units by a list of update query (DSL)
    Specified by:
      `atomicUpdateBulk` in interface `MetaDataClient`
    Parameters:
      `updateQueries` - : update query `UpdateMultiQuery` as String Null is not allowed List can be empty
    Returns:
      RequestResponse object {$hint:{},$result:[{},{}]} containing a list of RequestResponse (RequestResponseOK or VitamError) as JsonNode linked to each updateQuery
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `MetaDataClientServerException`

  - ### updateUnitsRulesBulk

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> updateUnitsRulesBulk(List<String> unitsIds, RuleActions actions, Map<String,DurationData> rulesToDurationData) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataNotFoundException, MetaDataDocumentSizeException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    Update units rules Bulk.
    Specified by:
      `updateUnitsRulesBulk` in interface `MetaDataClient`
    Parameters:
      `unitsIds` - the bulk unit ids to update
      `actions` -
    Returns:
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataNotFoundException`
      `MetaDataDocumentSizeException`
      `MetaDataClientServerException`

  - ### selectUnitsWithInheritedRules

    public com.fasterxml.jackson.databind.JsonNode selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode selectQuery) throws MetaDataDocumentSizeException, InvalidParseOperationException, MetaDataClientServerException, MetaDataExecutionException
    Description copied from interface: `MetaDataClient`
    Select units with inherited rules by select query (DSL)
    Specified by:
      `selectUnitsWithInheritedRules` in interface `MetaDataClient`
    Parameters:
      `selectQuery` - : select query
    Returns:
      Json object
    Throws:
      `MetaDataDocumentSizeException` - thrown when Query document Size is Too Large
      `InvalidParseOperationException`
      `MetaDataClientServerException`
      `MetaDataExecutionException`

  - ### createAccessionRegisterSymbolic

    public com.fasterxml.jackson.databind.JsonNode createAccessionRegisterSymbolic() throws MetaDataClientServerException, MetaDataExecutionException
    Description copied from interface: `MetaDataClient`
    Creates the AccessionRegisterSymbolics from ElasticSearch aggregations and nested aggregation request. Because the AccessionRegisterSymbolic is not available from this package, it is a JsonNode which is returned.
    Specified by:
      `createAccessionRegisterSymbolic` in interface `MetaDataClient`
    Returns:
      a list of AccessionRegisterSymbolic as JsonNode
    Throws:
      `MetaDataClientServerException`
      `MetaDataExecutionException`

  - ### streamUnits

    public jakarta.ws.rs.core.Response streamUnits(com.fasterxml.jackson.databind.JsonNode selectQuery) throws MetaDataClientServerException, MetadataScrollThresholdExceededException, MetadataScrollLimitExceededException
    Specified by:
      `streamUnits` in interface `MetaDataClient`
    Throws:
      `MetaDataClientServerException`
      `MetadataScrollThresholdExceededException`
      `MetadataScrollLimitExceededException`

  - ### streamObjects

    public jakarta.ws.rs.core.Response streamObjects(com.fasterxml.jackson.databind.JsonNode selectQuery) throws MetaDataClientServerException, MetadataScrollThresholdExceededException, MetadataScrollLimitExceededException
    Specified by:
      `streamObjects` in interface `MetaDataClient`
    Throws:
      `MetaDataClientServerException`
      `MetadataScrollThresholdExceededException`
      `MetadataScrollLimitExceededException`

  - ### processObsoleteComputedInheritedRules

    public jakarta.ws.rs.core.Response processObsoleteComputedInheritedRules() throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    API to process obsolete compute inherited rules service for metadatas.
    Specified by:
      `processObsoleteComputedInheritedRules` in interface `MetaDataClient`
    Returns:
    Throws:
      `MetaDataClientServerException` - MetaDataClientServerException InvalidParseOperationException
      `MetaDataNotFoundException`
      `InvalidParseOperationException`

  - ### purgeExpiredDipFiles

    public jakarta.ws.rs.core.Response purgeExpiredDipFiles() throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    API to process purge expired DIP files service for metadatas.
    Specified by:
      `purgeExpiredDipFiles` in interface `MetaDataClient`
    Returns:
    Throws:
      `MetaDataClientServerException` - MetaDataClientServerException InvalidParseOperationException
      `MetaDataNotFoundException`
      `InvalidParseOperationException`

  - ### purgeExpiredTransfersSIPFiles

    public jakarta.ws.rs.core.Response purgeExpiredTransfersSIPFiles() throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    API to process purge expired tranfering SIP files service for metadatas.
    Specified by:
      `purgeExpiredTransfersSIPFiles` in interface `MetaDataClient`
    Returns:
    Throws:
      `MetaDataClientServerException` - MetaDataClientServerException InvalidParseOperationException
      `MetaDataNotFoundException`
      `InvalidParseOperationException`

  - ### runAuditDataConsistencyMongoEs

    public jakarta.ws.rs.core.Response runAuditDataConsistencyMongoEs() throws MetaDataNotFoundException, InvalidParseOperationException, MetaDataClientServerException
    Description copied from interface: `MetaDataClient`
    API to process audit data consistency Mongo and ES service for metadatas.
    Specified by:
      `runAuditDataConsistencyMongoEs` in interface `MetaDataClient`
    Returns:
    Throws:
      `MetaDataClientServerException` - MetaDataClientServerException InvalidParseOperationException
      `MetaDataNotFoundException`
      `InvalidParseOperationException`

  - ### clearESScrollFilter

    public jakarta.ws.rs.core.Response clearESScrollFilter(String scrollId) throws MetaDataClientServerException
    Specified by:
      `clearESScrollFilter` in interface `MetaDataClient`
    Throws:
      `MetaDataClientServerException`

  - ### staticConsumeAnyEntityAndClose

    public static void staticConsumeAnyEntityAndClose(jakarta.ws.rs.core.Response response)
    This method consume everything (in particular InputStream) and close the response.
    Parameters:
      `response` -

  - ### consumeAnyEntityAndClose

    public final void consumeAnyEntityAndClose(jakarta.ws.rs.core.Response response)
    Description copied from interface: `MockOrRestClient`
    Helper when an error occurs on client usage side to consume response however
    Specified by:
      `consumeAnyEntityAndClose` in interface `MockOrRestClient`
    Parameters:
      `response` -

  - ### checkStatus

    public void checkStatus() throws VitamApplicationServerException
    Description copied from interface: `MockOrRestClient`
    Check the status from the service
    Specified by:
      `checkStatus` in interface `MockOrRestClient`
    Throws:
      `VitamApplicationServerException` - if the Server is unavailable

  - ### checkStatus

    public void checkStatus(jakarta.ws.rs.core.MultivaluedHashMap<String,Object> headers) throws VitamApplicationServerException
    Description copied from interface: `MockOrRestClient`
    Check the status from the service used to passe "X-SSL-CLIENT-CERT" header that contain a pem certificate
    Specified by:
      `checkStatus` in interface `MockOrRestClient`
    Parameters:
      `headers` -
    Throws:
      `VitamApplicationServerException` - if the Server is unavailable

  - ### getResourcePath

    public String getResourcePath()
    Description copied from interface: `MockOrRestClient`
    Get the resource path of the server.
    Specified by:
      `getResourcePath` in interface `MockOrRestClient`
    Returns:
      the resource path as string

  - ### getServiceUrl

    public String getServiceUrl()
    Description copied from interface: `MockOrRestClient`
    Get the service URL
    Specified by:
      `getServiceUrl` in interface `MockOrRestClient`
    Returns:
      the service URL

  - ### close

    public void close()
    Description copied from interface: `MockOrRestClient`
    Close the underneath http client
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `MockOrRestClient`
    Specified by:
      `close` in interface `VitamAutoCloseable`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### makeSpecifyingUrl

    public jakarta.ws.rs.core.Response makeSpecifyingUrl(VitamRequestBuilder request) throws VitamClientInternalException
    Throws:
      `VitamClientInternalException`

  - ### make

    public jakarta.ws.rs.core.Response make(VitamRequestBuilder request) throws VitamClientInternalException
    Throws:
      `VitamClientInternalException`

  - ### getClientFactory

    public VitamClientFactory<?> getClientFactory()

  - ### getClient

    public jakarta.ws.rs.client.Client getClient()

  - ### getChunkedClient

    public jakarta.ws.rs.client.Client getChunkedClient()